CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > OpenFOAM Installation

Third party installation problem in OpenFOAM-1.6-ext

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Display Modes
Old   March 12, 2014, 04:50
Post Third party installation problem in OpenFOAM-1.6-ext
  #1
Senior Member
 
Join Date: Sep 2013
Location: Bangalore India
Posts: 134
Rep Power: 3
sam.ho is on a distinguished road
Hi Foamers,

I am facing some error while installing the third party in OpenFOAM-1.6-ext.
The problem is as follows..
What could be the problem ? How to resolve this ?


Code:
This system rpm command: rpm --force-debian

========================================
Starting ThirdParty AllMake: Stage1
========================================

Package name      : cmake-2.8.11
Package URL       : http://www.cmake.org/files/v2.8/cmake-2.8.11.tar.gz
RPM spec file name: cmake-2.8.11.spec
Additional flags  : 
Updating the ThirdParty environment variables before building package cmake-2.8.11
Download cmake-2.8.11.tar.gz from : http://www.cmake.org/files/v2.8/cmake-2.8.11.tar.gz
--2014-03-12 14:06:27--  http://www.cmake.org/files/v2.8/cmake-2.8.11.tar.gz
Resolving www.cmake.org (www.cmake.org)... failed: Name or service not known.
wget: unable to resolve host address `www.cmake.org'
Making package cmake-2.8.11 using RPM.
Building package cmake-2.8.11 using SPEC file : cmake-2.8.11.spec. Optional args: 
error: File /home/sml5kor/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/SOURCES/cmake-2.8.11.tar.gz: No such file or directory
Installing package: cmake-2.8.11
  Uninstalling cmake-2.8.11 using RPM: cmake-2.8.11-linux64GccDPOpt.x86_64
  Installing cmake-2.8.11 using RPM file: /home/sml5kor/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/RPMS/x86_64/cmake-2.8.11-linux64GccDPOpt.x86_64.rpm
error: open of /home/sml5kor/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/RPMS/x86_64/cmake-2.8.11-linux64GccDPOpt.x86_64.rpm failed: No such file or directory
Done installing package 

========================================
Done ThirdParty AllMake: Stage1
========================================
sam.ho is offline   Reply With Quote

Old   March 12, 2014, 15:35
Default
  #2
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 8,507
Blog Entries: 34
Rep Power: 86
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Quick answer:
  1. You need to manually download this file: http://www.cmake.org/files/v2.8/cmake-2.8.11.tar.gz
  2. And place the downloaded file in this folder:
    Code:
    /home/sml5kor/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/SOURCES/
wyldckat is offline   Reply With Quote

Old   March 13, 2014, 07:03
Post
  #3
Senior Member
 
Join Date: Sep 2013
Location: Bangalore India
Posts: 134
Rep Power: 3
sam.ho is on a distinguished road
Quote:
Originally Posted by wyldckat View Post
Quick answer:
  1. You need to manually download this file: http://www.cmake.org/files/v2.8/cmake-2.8.11.tar.gz
  2. And place the downloaded file in this folder:
    Code:
    /home/sml5kor/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/SOURCES/
Hi Bruno,

I have followed the same procedure which you suggested but still in thirdparty stage 3 scotch-5.1.10b is not installed . This log file content is as follows
Code:
This system rpm command: rpm --force-debian

========================================
Starting ThirdParty AllMake: Stage3
========================================

Package name      : metis-5.0pre2
Package URL       : http://glaros.dtc.umn.edu/gkhome/fetch/sw/metis/OLD/metis-5.0pre2.tar.gz
RPM spec file name: metis-5.0pre2.spec
Additional flags  : 
Updating the ThirdParty environment variables before building package metis-5.0pre2
Package metis-5.0pre2 is already installed
Done installing package 

Package name      : ParMGridGen-1.0
Package URL       : http://www.mgnet.org/mgnet/Codes/parmgridgen/ParMGridGen-1.0.tar.gz
RPM spec file name: ParMGridGen-1.0.spec
Additional flags  : 
Updating the ThirdParty environment variables before building package ParMGridGen-1.0
Package ParMGridGen-1.0 is already installed
Done installing package 

Package name      : libccmio-2.6.1
Package URL       : http://portal.nersc.gov/svn/visit/tags/2.4.2/third_party/libccmio-2.6.1.tar.gz
RPM spec file name: libccmio-2.6.1.spec
Additional flags  : 
Updating the ThirdParty environment variables before building package libccmio-2.6.1
Package libccmio-2.6.1 is already installed
Done installing package 

Package name      : mesquite-2.1.2
Package URL       : http://software.sandia.gov/~jakraft/mesquite-2.1.2.tar.gz
RPM spec file name: mesquite-2.1.2.spec
Additional flags  : 
Updating the ThirdParty environment variables before building package mesquite-2.1.2
Package mesquite-2.1.2 is already installed
Done installing package 

Package name      : scotch-5.1.10b
Package URL       : https://gforge.inria.fr/frs/download.php/27583/scotch-5.1.10b.tar.gz
RPM spec file name: scotch-5.1.10b.spec
Additional flags  : 
Updating the ThirdParty environment variables before building package scotch-5.1.10b
Download scotch-5.1.10b.tar.gz from : https://gforge.inria.fr/frs/download.php/27583/scotch-5.1.10b.tar.gz
--2014-03-13 10:23:17--  https://gforge.inria.fr/frs/download.php/27583/scotch-5.1.10b.tar.gz
Resolving gforge.inria.fr (gforge.inria.fr)... failed: Name or service not known.
wget: unable to resolve host address `gforge.inria.fr'
Making package scotch-5.1.10b using RPM.
Building package scotch-5.1.10b using SPEC file : scotch-5.1.10b.spec. Optional args: 
error: File /home/sml5kor/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/SOURCES/scotch-5.1.10b.tar.gz: No such file or directory
Installing package: scotch-5.1.10b
  Uninstalling scotch-5.1.10b using RPM: scotch-5.1.10b-linux64GccDPOpt.x86_64
  Installing scotch-5.1.10b using RPM file: /home/sml5kor/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/RPMS/x86_64/scotch-5.1.10b-linux64GccDPOpt.x86_64.rpm
error: open of /home/sml5kor/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/RPMS/x86_64/scotch-5.1.10b-linux64GccDPOpt.x86_64.rpm failed: No such file or directory
Done installing package 

Package name      : ParMetis-3.1.1
Package URL       : http://glaros.dtc.umn.edu/gkhome/fetch/sw/parmetis/OLD/ParMetis-3.1.1.tar.gz
RPM spec file name: ParMetis-3.1.1.spec
Additional flags  : 
Updating the ThirdParty environment variables before building package ParMetis-3.1.1
Package ParMetis-3.1.1 is already installed
Done installing package 

========================================
Done ThirdParty AllMake: Stage3
========================================
sam.ho is offline   Reply With Quote

Old   March 15, 2014, 04:27
Default
  #4
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 8,507
Blog Entries: 34
Rep Power: 86
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Quote:
Originally Posted by sam.ho View Post
I have followed the same procedure which you suggested but still in thirdparty stage 3 scotch-5.1.10b is not installed .
Do you mean that you did the following for Scotch as well?
  1. You need to manually download this file: https://gforge.inria.fr/frs/download...5.1.10b.tar.gz
  2. And place the downloaded file in this folder:
    Code:
    /home/sml5kor/OpenFOAM/OpenFOAM-1.6-ext/ThirdParty/rpmBuild/SOURCES/


edit: OK, I've seen just now that you did that, as explained here: Problems installing OpenFOAM 2.3.0, 1.6-ext and foam-extend 3.0 post #20
Then I'll switch this line of conversation to that other thread.

Last edited by wyldckat; March 15, 2014 at 04:32. Reason: see "edit:"
wyldckat is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
OpenFOAM 1.7.1 installation problem on OpenSUSE 11.3 flakid OpenFOAM Installation 16 December 28, 2010 09:48
OpenFOAM 1.7.0 installation problem stevek OpenFOAM 14 December 1, 2010 16:30
Problem on Installing OpenFOAM 1.6 on Fedora 11 lzgwhy OpenFOAM Installation 1 August 25, 2009 11:02
Critical errors during OpenFoam installation in OpenSuse 11.0 amscosta OpenFOAM 5 May 1, 2009 14:06
64bitrhel5 OF installation instructions mirko OpenFOAM Installation 2 August 12, 2008 18:07


All times are GMT -4. The time now is 04:36.